# -*- coding: utf-8 -*-
"""
Created on Mon Jun  3 01:23:01 2019

@author: XueYuan

通过FireFox浏览器解析pdf并提取内容
"""

from selenium import webdriver
from lxml import etree
import time

driver = webdriver.Firefox()
driver.get("file:///E:/pdf信息提取/temp.pdf")   #使用火狐浏览器打开要解析的pdf文件
time.sleep(5)
html = driver.page_source
tree = etree.HTML(html)
content_xpath = "/html/body/div[1]/div[2]/div[4]/div/div/div[2]/span"   #所要提取的信息的路径表达式
content_list = tree.xpath(content_xpath)
for c in content_list:
    print(c.text)   #提取信息并将信息打印出来
driver.close()



# 提取表格数据
driver = webdriver.Firefox()
driver.get("file:///E:/pdf信息提取/table.pdf")
time.sleep(5)
html = driver.page_source
tree = etree.HTML(html)
table_xpath = "/html/body/div[1]/div[2]/div[4]/div/div/div[2]/span"
table_list = tree.xpath(table_xpath)

file = "E:/pdf信息提取/table.csv"
with open(file, "w", encoding = 'gb18030') as f :
    f.write('''"make","price","mpg","rep78","headroom"\n''')
    for x1, x2, x3, x4, x5 in [table_list[i:i+5] for i in range(0,len(table_list),5)]:
        info = '''"%s","%s","%s","%s","%s"''' % (x1.text, x2.text, x3.text, x4.text, x5.text)
        f.write(info)
        f.write("\n")
driver.close()
